<?php

namespace app\admin\model;

use think\Model;


class Orderticket extends Model
{

    

    

    // 表名
    protected $table = 'order_ticket';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'roadtype_text'
    ];
    

    
    public function getRoadtypeList()
    {
        return ['1' => __('Roadtype 1'), '2' => __('Roadtype 2'), '3' => __('Roadtype 3')];
    }


    public function getRoadtypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['roadtype']) ? $data['roadtype'] : '');
        $list = $this->getRoadtypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function order()
    {
        return $this->belongsTo('Order', 'order_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
